summaryrefslogtreecommitdiff
path: root/.config/wmii-hg
diff options
context:
space:
mode:
authorLuke Shumaker <shumakl@purdue.edu>2015-02-07 00:12:03 -0500
committerLuke Shumaker <shumakl@purdue.edu>2015-02-07 00:12:03 -0500
commit3c293ac61caad2e9a6861feee0677d2c4f206723 (patch)
tree53b255968f88698cba8e63dab361f7af65f714d2 /.config/wmii-hg
parent4f203bd11e6d6051344b6638f1cc49f12592a9ee (diff)
parentf5c41d73b4c085691f2c01dd80366d08cb352a01 (diff)
Merge remote-tracking branch 'origin/master' into purdue-cs/master
Diffstat (limited to '.config/wmii-hg')
-rw-r--r--.config/wmii-hg/include.sh4
-rw-r--r--.config/wmii-hg/rbar.sh4
2 files changed, 4 insertions, 4 deletions
diff --git a/.config/wmii-hg/include.sh b/.config/wmii-hg/include.sh
index bd9456f..f9e3078 100644
--- a/.config/wmii-hg/include.sh
+++ b/.config/wmii-hg/include.sh
@@ -1,10 +1,10 @@
#!/bin/bash
if [[ -z "$WMII_NAMESPACE" ]]; then
- export WMII_NAMESPACE="`wmiir namespace`"
+ export WMII_NAMESPACE="$(wmiir namespace)"
fi
if [[ -z "$WMII_DIR" ]]; then
- export WMII_DIR="$HOME/n/wmii${DISPLAY}"
+ export WMII_DIR="${XDG_RUNTIME_DIR}/n/wmii${DISPLAY}"
fi
. util.sh
diff --git a/.config/wmii-hg/rbar.sh b/.config/wmii-hg/rbar.sh
index 4f6faf1..8bff558 100644
--- a/.config/wmii-hg/rbar.sh
+++ b/.config/wmii-hg/rbar.sh
@@ -1,10 +1,10 @@
#!/bin/bash
setup_trap() {
- trap "rm -f -- ${HOME}/n/wmii*/rbar/${1}" EXIT
+ trap "rm -f -- \"\${XDG_RUNTIME_DIR}\"/n/wmii*/rbar/${1}" EXIT
}
write() {
- dirs=("${HOME}"/n/wmii*/rbar/)
+ local dirs=("${XDG_RUNTIME_DIR}"/n/wmii*/rbar/)
sponge|tee -a "${dirs[@]/%/${1}}" > /dev/null
}